#pragma once
typedef UINT_PTR SOCKET;

class OS2L
{
public:
	OS2L();
	bool init();
	void close();

protected:
	void onButton(const char *name, const char *page, bool state);
	void onCommand(int cmdid, double value);
	void onBeat(double bpm, int pos, bool change, double strength);
	
	void sendFeedback(const char *name, const char *page, bool state);
	void sendFeedback(int cmdid, double value);

private:
	static DWORD WINAPI staticThread(LPVOID lpParameter);
	DWORD thread();
	void *bonjourRef;
	SOCKET bonjourSock;
	SOCKET connectionSock;
};
